<style include="cr-shared-style diagnostics-shared diagnostics-fonts">
  .card-width {
    width: 100%;
  }

  .diagonstics-cards-container {
    align-items: center;
    display: flex;
    flex-direction: column;
    padding-inline: var(--container-padding);
    width: var(--content-container-width);
  }

  #diagnosticsContainer {
    align-items: center;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    height: inherit;
    position: relative;
  }

  #header {
    @apply --diagnostics-header-font;
    align-self: flex-start;
    margin-bottom: 10px;
  }

  .overview-container {
    margin-bottom: 10px;
  }
  .session-log-container {
    display: flex;
    justify-content: center;
    margin: 20px 0;
  }
  .session-log-button {
    background-color: rgba(var(--google-blue-600), .06);
    border-radius: 20px;
    width: 144px;
    height: 40px;
    font-size: 14px;
    padding: 5px;
  }
</style>
<div id="diagnosticsContainer" hidden="[[!systemInfoReceived_]]">
  <div id="header">[[i18n('diagnosticsTitle')]]</div>
  <div class="overview-container">
    <overview-card id="overviewCard"></overview-card>
  </div>
  <div class="diagonstics-cards-container">
    <template is="dom-if" if="[[showBatteryStatusCard_]]" restamp>
      <div class="card-width">
        <battery-status-card id="batteryStatusCard"
          is-test-running="{{isTestRunning}}">
        </battery-status-card>
      </div>
    </template>
    <div class="card-width">
      <cpu-card id="cpuCard"
        is-test-running="{{isTestRunning}}">
      </cpu-card>
    </div>
    <div class="card-width">
      <memory-card id="memoryCard"
        is-test-running="{{isTestRunning}}">
      </memory-card>
    </div>
  </div>
  <div class="session-log-container">
    <cr-button class="session-log-button">
      [[i18n('sessionLog')]]
    </cr-button>
  </div>
</div>
